## libbioparser-dev 1.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)
project(bioparser)

set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -pedantic")
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

option(bioparser_build_tests "Build bioparser unit tests" OFF)

add_library(bioparser INTERFACE)

target_include_directories(bioparser INTERFACE
    ${PROJECT_SOURCE_DIR}/include
    ${PROJECT_SOURCE_DIR}/vendor/zlib
    ${PROJECT_BINARY_DIR}/vendor/zlib)

add_subdirectory(vendor/zlib EXCLUDE_FROM_ALL)

target_link_libraries(bioparser INTERFACE zlibstatic)

if (bioparser_build_tests)
    set(bioparser_test_data_path ${PROJECT_SOURCE_DIR}/test/data/)
    configure_file(${PROJECT_SOURCE_DIR}/test/bioparser_test_config.h.in
        ${PROJECT_BINARY_DIR}/config/bioparser_test_config.h)
    include_directories(${PROJECT_BINARY_DIR}/config)

    add_executable(bioparser_test test/bioparser_test.cpp)

    add_subdirectory(vendor/googletest/googletest EXCLUDE_FROM_ALL)

    target_link_libraries(bioparser_test bioparser gtest_main)
endif(bioparser_build_tests)

## libbioparser-dev 1.2.0

=== debian/changelog ===
libbioparser-dev (1.2.0-2~bpo9+1) stretch-backports; urgency=medium

  [ Andreas Tille ]
  * Rebuild for stretch-backports.

  [ Yuriy M. Kaminskiy ]
  * Adapt to zlib version 1.2.8 in Stretch to avoid backporting
    version 1.2.11

 -- Andreas Tille <tille@debian.org>  Fri, 17 Aug 2018 10:49:28 +0200

libbioparser-dev (1.2.0-2) unstable; urgency=medium

  * Do not only compile test file but also run it
  * Versioned Build-Depends: libgtest-dev (>> 1.8.0-10~)
  * Standards-Version: 4.2.0

 -- Andreas Tille <tille@debian.org>  Fri, 03 Aug 2018 16:25:55 +0200

libbioparser-dev (1.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #901064)

 -- Andreas Tille <tille@debian.org>  Sat, 09 Jun 2018 22:39:51 +0200

=== debian/control ===
Source: libbioparser-dev
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               cmake,
               zlib1g-dev,
               libgtest-dev (>> 1.8.0-10~)
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/med-team/libibioparser-dev
Vcs-Git: https://salsa.debian.org/med-team/libbioparser-dev.git
Homepage: https://github.com/rvaser/bioparser/

Package: libbioparser-dev
Architecture: all
Section: libdevel
Depends: ${misc:Depends},
         zlib1g-dev
Description: library for parsing several formats in bioinformatics
 Bioparser is a c++ implementation of parsers for several bioinformatics
 formats. It consists of only one header file containing template parsers
 for FASTA, FASTQ, MHAP, PAF and SAM format. It also supports compressed
 files with gzip.

## libbioparser-dev 1.2.1

=== debian/changelog ===
libbioparser-dev (1.2.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Thu, 24 Jan 2019 17:31:30 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                cmake,
                zlib1g-dev,
                libgtest-dev (>> 1.8.0-10~)
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/libibioparser-dev
 Vcs-Git: https://salsa.debian.org/med-team/libbioparser-dev.git
 Homepage: https://github.com/rvaser/bioparser/

## libbioparser-dev 2.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,7 @@
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -pedantic")
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
+set(CMAKE_CXX_EXTENSIONS OFF)
 
 option(bioparser_build_tests "Build bioparser unit tests" OFF)
 
@@ -18,7 +19,9 @@
     ${PROJECT_SOURCE_DIR}/vendor/zlib
     ${PROJECT_BINARY_DIR}/vendor/zlib)
 
-add_subdirectory(vendor/zlib EXCLUDE_FROM_ALL)
+if (NOT TARGET zlib)
+    add_subdirectory(vendor/zlib EXCLUDE_FROM_ALL)
+endif()
 
 target_link_libraries(bioparser INTERFACE zlibstatic)
 
@@ -30,7 +33,9 @@
 
     add_executable(bioparser_test test/bioparser_test.cpp)
 
-    add_subdirectory(vendor/googletest/googletest EXCLUDE_FROM_ALL)
+    if (NOT TARGET gtest_main)
+        add_subdirectory(vendor/googletest/googletest EXCLUDE_FROM_ALL)
+    endif()
 
     target_link_libraries(bioparser_test bioparser gtest_main)
-endif(bioparser_build_tests)
+endif()

=== debian/changelog ===
libbioparser-dev (2.0.1-1~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Tue, 12 Nov 2019 16:30:32 +0100

libbioparser-dev (2.0.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Mon, 15 Jul 2019 15:01:21 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                cmake,
                zlib1g-dev,
                libgtest-dev (>> 1.8.0-10~)
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/libibioparser-dev
 Vcs-Git: https://salsa.debian.org/med-team/libbioparser-dev.git
 Homepage: https://github.com/rvaser/bioparser/

=== debian/watch ===
version=4

https://github.com/rvaser/bioparser/releases .*/archive/@ANY_VERSION@@ARCHIVE_EXT@

## libbioparser-dev 2.1.2

=== debian/changelog ===
libbioparser-dev (2.1.2-1) unstable; urgency=medium

  [ Etienne Mollier ]
  * Team upload
  * Add fix for ftbfs with gcc-10 (Closes: #959465)

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sun, 03 May 2020 16:17:01 +0200

libbioparser-dev (2.1.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Set upstream metadata fields: Name.

 -- Andreas Tille <tille@debian.org>  Tue, 20 Aug 2019 07:58:56 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                cmake,
                zlib1g-dev,
                libgtest-dev (>> 1.8.0-10~)
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/libibioparser-dev
 Vcs-Git: https://salsa.debian.org/med-team/libbioparser-dev.git
 Homepage: https://github.com/rvaser/bioparser/
+Rules-Requires-Root: no
 
 Package: libbioparser-dev
 Architecture: all

## libbioparser-dev 3.0.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.9)

project(bioparser VERSION 3.0.12
                  LANGUAGES CXX
                  DESCRIPTION "Bioparser is a c++ header only parsing library for several formats in bioinformatics (FASTA/Q, MHAP/PAF/SAM), with support for zlib compressed files.")

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -pedantic")
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin)

find_package(ZLIB REQUIRED)
add_library(${PROJECT_NAME} INTERFACE)
target_link_libraries(${PROJECT_NAME} INTERFACE
  ZLIB::ZLIB)

target_include_directories(${PROJECT_NAME} INTERFACE
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>)

option(bioparser_build_tests "Build bioparser unit tests" OFF)
if (bioparser_build_tests)
  find_package(GTest REQUIRED)
  if (NOT TARGET biosoup)
    add_subdirectory(vendor/biosoup EXCLUDE_FROM_ALL)
  endif ()
  add_executable(${PROJECT_NAME}_test
    test/parser_test.cpp
    test/fasta_parser_test.cpp
    test/fastq_parser_test.cpp
    test/mhap_parser_test.cpp
    test/paf_parser_test.cpp
    test/sam_parser_test.cpp)
  target_link_libraries(${PROJECT_NAME}_test
    ${PROJECT_NAME}
    biosoup
    GTest::Main)
  target_compile_definitions(${PROJECT_NAME}_test PRIVATE
    BIOPARSER_DATA_PATH="${PROJECT_SOURCE_DIR}/test/data/")
endif ()

=== debian/changelog ===
libbioparser-dev (3.0.12-1) unstable; urgency=medium

  [ Étienne Mollier ]
  * Team upload
  * Updated patch metadata following merge of PR.

  [ Michael R. Crusoe ]
  * Update to snapshot from upstream
    https://github.com/rvaser/bioparser/commit/15c58ecce418f1f83cbd2d88020d7dac3c976a5f
  * All previous patches incorporated upstream, so remove them.
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * debian/patches/biosoup: snapshot of
    https://github.com/rvaser/biosoup/tree/4be6880b62a8e9fc2322ede3f69f82384f99499e

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 07 Jan 2021 15:33:37 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                cmake,
                zlib1g-dev,
                libgtest-dev (>> 1.8.0-10~)
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/med-team/libibioparser-dev
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/med-team/libbioparser-dev
 Vcs-Git: https://salsa.debian.org/med-team/libbioparser-dev.git
 Homepage: https://github.com/rvaser/bioparser/
 Rules-Requires-Root: no

## libbioparser-dev 3.0.15

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.11)

project(bioparser VERSION 3.0.15
                  LANGUAGES CXX
                  DESCRIPTION "Bioparser is a c++ header only parsing library for several formats in bioinformatics (FASTA/Q, MHAP/PAF/SAM), with support for zlib compressed files.")

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -pedantic")
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin)

if (CMAKE_SOURCE_DIR STREQUAL PROJECT_SOURCE_DIR)
  set(bioparser_main_project ON)
endif ()
option(bioparser_install "Generate install target" ${bioparser_main_project})
option(bioparser_build_tests "Build unit tests" ${bioparser_main_project})

find_package(ZLIB 1.2.8 REQUIRED)

if (bioparser_build_tests)
  find_package(biosoup 0.10.0 QUIET)
  find_package(GTest 1.10.0 QUIET)

  if (NOT biosoup_FOUND)
    include(FetchContent)

    FetchContent_Declare(
      biosoup
      GIT_REPOSITORY https://github.com/rvaser/biosoup
      GIT_TAG 0.10.0)

    FetchContent_GetProperties(biosoup)
    if (NOT biosoup_POPULATED)
      FetchContent_Populate(biosoup)
      add_subdirectory(
        ${biosoup_SOURCE_DIR}
        ${biosoup_BINARY_DIR}
        EXCLUDE_FROM_ALL)
    endif ()
  endif ()

  if (NOT GTest_FOUND)
    include(FetchContent)

    FetchContent_Declare(
      googletest
      GIT_REPOSITORY https://github.com/google/googletest
      GIT_TAG release-1.10.0)

    FetchContent_GetProperties(googletest)
    if (NOT googletest_POPULATED)
      FetchContent_Populate(googletest)
      add_subdirectory(
        ${googletest_SOURCE_DIR}
        ${googletest_BINARY_DIR}
        EXCLUDE_FROM_ALL)
      add_library(GTest::Main ALIAS gtest_main)
    endif ()
  endif ()
endif ()

add_library(bioparser INTERFACE)
add_library(${PROJECT_NAME}::bioparser ALIAS bioparser)

target_include_directories(bioparser INTERFACE
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)

target_link_libraries(bioparser INTERFACE
  ZLIB::ZLIB)

if (bioparser_install)
  include(GNUInstallDirs)
  include(CMakePackageConfigHelpers)

  configure_package_config_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/Config.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake
    INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})
  write_basic_package_version_file(
    ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake
    COMPATIBILITY SameMajorVersion)

  install(
    TARGETS bioparser
    EXPORT ${PROJECT_NAME}Targets)
  install(
    DIRECTORY include/bioparser
    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
  install(
    EXPORT ${PROJECT_NAME}Targets
    NAMESPACE ${PROJECT_NAME}::
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})
  install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake
          ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})
endif ()

if (bioparser_build_tests)
  add_executable(bioparser_test
    test/parser_test.cpp
    test/fasta_parser_test.cpp
    test/fastq_parser_test.cpp
    test/mhap_parser_test.cpp
    test/paf_parser_test.cpp
    test/sam_parser_test.cpp)

  target_link_libraries(bioparser_test
    bioparser
    biosoup::biosoup
    GTest::Main)

  target_compile_definitions(bioparser_test
    PRIVATE TEST_DATA="${PROJECT_SOURCE_DIR}/test/data/")
endif ()

=== debian/changelog ===
libbioparser-dev (3.0.15-3) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 18 Nov 2022 12:30:49 +0100

libbioparser-dev (3.0.15-2) unstable; urgency=medium

  * Really drop libbiosoup headers by removing the patch
    Closes: #1000856
  * Install cmake files to /usr/share/cmake to reflect the Architecture: all
    nature of the package

 -- Andreas Tille <tille@debian.org>  Wed, 01 Dec 2021 08:35:40 +0100

libbioparser-dev (3.0.15-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * New upstream version

  [ Andreas Tille ]
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * Build-Depends: libbiosoup-dev
    Closes: #1000856
  * Fix name of download file

 -- Andreas Tille <tille@debian.org>  Tue, 30 Nov 2021 11:47:22 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Build-Depends: debhelper-compat (= 13),
                cmake,
                zlib1g-dev,
-               libgtest-dev (>> 1.8.0-10~)
-Standards-Version: 4.5.1
+               libgtest-dev,
+               libbiosoup-dev
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/libbioparser-dev
 Vcs-Git: https://salsa.debian.org/med-team/libbioparser-dev.git
 Homepage: https://github.com/rvaser/bioparser/
@@ -17,6 +18,7 @@
 Architecture: all
 Section: libdevel
 Depends: ${misc:Depends},
+         libbiosoup-dev,
          zlib1g-dev
 Description: library for parsing several formats in bioinformatics
  Bioparser is a c++ implementation of parsers for several bioinformatics

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

DEB_CMAKE_EXTRA_FLAGS = -Dbioparser_build_tests=ON

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e -x; for f in obj-*/bin/*_test; do [ ! -x $$f ] || $$f; done
endif

override_dh_install:
	dh_install
	mv debian/`dh_listpackages`/usr/lib/*/cmake debian/`dh_listpackages`/usr/share
	rm -rf debian/`dh_listpackages`/usr/lib

## libbioparser-dev 3.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.11)
 
-project(bioparser VERSION 3.0.15
+project(bioparser VERSION 3.1.0
                   LANGUAGES CXX
                   DESCRIPTION "Bioparser is a c++ header only parsing library for several formats in bioinformatics (FASTA/Q, MHAP/PAF/SAM), with support for zlib compressed files.")
 
@@ -22,7 +22,7 @@
 find_package(ZLIB 1.2.8 REQUIRED)
 
 if (bioparser_build_tests)
-  find_package(biosoup 0.10.0 QUIET)
+  find_package(biosoup 0.11.0 QUIET)
   find_package(GTest 1.10.0 QUIET)
 
   if (NOT biosoup_FOUND)
@@ -31,7 +31,7 @@
     FetchContent_Declare(
       biosoup
       GIT_REPOSITORY https://github.com/rvaser/biosoup
-      GIT_TAG 0.10.0)
+      GIT_TAG 0.11.0)
 
     FetchContent_GetProperties(biosoup)
     if (NOT biosoup_POPULATED)
@@ -102,6 +102,9 @@
 endif ()
 
 if (bioparser_build_tests)
+  set(BIOPARSER_TEST_DATA "${PROJECT_SOURCE_DIR}/test/data/")
+  configure_file(test/bioparser_test_config.h.in bioparser_test_config.h)
+
   add_executable(bioparser_test
     test/parser_test.cpp
     test/fasta_parser_test.cpp
@@ -115,6 +118,6 @@
     biosoup::biosoup
     GTest::Main)
 
-  target_compile_definitions(bioparser_test
-    PRIVATE TEST_DATA="${PROJECT_SOURCE_DIR}/test/data/")
+  target_include_directories(bioparser_test PUBLIC
+    $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>)
 endif ()

=== meson_options.txt ===
#########
# Tests #
#########

option('tests',
  type : 'boolean',
  value : true,
  description : 'Enable dependencies required for testing')

=== debian/changelog ===
libbioparser-dev (3.1.0-2) unstable; urgency=medium

  * Team Upload.
  * Disable a test on 32 bit arch
  * Tighten B-D on libbiosoup-dev

 -- Nilesh Patra <nilesh@debian.org>  Sun, 04 May 2025 20:53:43 +0530

libbioparser-dev (3.1.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * d/control: needs at least version 0.11.0 of libbiosoup-dev.
  * d/rules: Don't install the Meson build file into /usr/include.
  * Standards-Version: 4.6.2 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 22 Mar 2024 17:16:50 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
                cmake,
                zlib1g-dev,
                libgtest-dev,
-               libbiosoup-dev
-Standards-Version: 4.6.1
+               libbiosoup-dev (>= 0.11.0-3~)
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/libbioparser-dev
 Vcs-Git: https://salsa.debian.org/med-team/libbioparser-dev.git
 Homepage: https://github.com/rvaser/bioparser/

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	set -e -x; for f in obj-*/bin/*_test; do [ ! -x $$f ] || $$f; done
 endif
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 	mv debian/`dh_listpackages`/usr/lib/*/cmake debian/`dh_listpackages`/usr/share
 	rm -rf debian/`dh_listpackages`/usr/lib
+	find debian -name meson.build -delete
